| Home | Libraries | People | FAQ | More

##### websocket::stream_base::timeout::suggested

Construct timeout settings with suggested values for a role.

###### Synopsis

    static
    timeout
    suggested(
        role_type role);

###### Description

This constructs the timeout settings with a predefined set of values which varies depending on the desired role. The values are selected upon construction, regardless of the current or actual role in use on the stream.

###### Example

This statement sets the timeout settings of the stream to the suggested values for the server role:

###### Parameters

Name | Description
--- | ---
`role` | The role of the websocket stream (`client` or `server`).